cgGetAnnotationType(3)

NAME
cgGetAnnotationType - get an annotation's type

SYNOPSIS
  #include <Cg/cg.h>
  CGtype cgGetAnnotationType( CGannotation ann );

PARAMETERS

ann The annotation from which to get the type.

RETURN VALUES
Returns the type enumerant of ann.

Returns CG_UNKNOWN_TYPE if an error occurs.

DESCRIPTION
cgGetAnnotationType allows the application to retrieve the type of an annotation in a Cg effect.

cgGetAnnotationType will return CG_STRUCT if the annotation is a struct and CG_ARRAY if the annotation is an array. Otherwise it will return the data type associated with the annotation.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

HISTORY
cgGetAnnotationType was introduced in Cg 1.4.

SEE ALSO
the cgGetType manpage, the cgGetTypeString manpage